RecipientInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class RecipientInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.RecipientInfo

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class RecipientInfo
      extends ASN1Object
      implements ASN1Choice

  RFC 5652: Content encryption key delivery mechanisms.

       RecipientInfo ::= CHOICE {
           ktri      KeyTransRecipientInfo,
           kari  [1] KeyAgreeRecipientInfo,
           kekri [2] KEKRecipientInfo,
           pwri  [3] PasswordRecipientInfo,
           ori   [4] OtherRecipientInfo }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipientInfo(ASN1Primitive info)`
    `RecipientInfo(KEKRecipientInfo info)`
    `RecipientInfo(KeyAgreeRecipientInfo info)`
    `RecipientInfo(KeyTransRecipientInfo info)`
    `RecipientInfo(OtherRecipientInfo info)`
    `RecipientInfo(PasswordRecipientInfo info)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Encodable` | `getInfo()`
    `static RecipientInfo` | `getInstance(java.lang.Object o)` Return a RecipientInfo object from the given object.
    `ASN1Integer` | `getVersion()` Deprecated. Will be removed
    `boolean` | `isTagged()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecipientInfo

          public RecipientInfo(KeyTransRecipientInfo info)

    - #### RecipientInfo

          public RecipientInfo(KeyAgreeRecipientInfo info)

    - #### RecipientInfo

          public RecipientInfo(KEKRecipientInfo info)

    - #### RecipientInfo

          public RecipientInfo(PasswordRecipientInfo info)

    - #### RecipientInfo

          public RecipientInfo(OtherRecipientInfo info)

    - #### RecipientInfo

          public RecipientInfo(ASN1Primitive info)

  - ### Method Detail

    - #### getInstance

          public static RecipientInfo getInstance(java.lang.Object o)

      Return a RecipientInfo object from the given object.

      Accepted inputs:

      - null → null
      - `RecipientInfo` object
      - `ASN1Sequence` input formats with RecipientInfo structure inside
      - `ASN1TaggedObject` input formats with RecipientInfo structure inside
      Parameters:
        `o` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getVersion

          public ASN1Integer getVersion()

      Deprecated. Will be removed

    - #### isTagged

          public boolean isTagged()

    - #### getInfo

          public ASN1Encodable getInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.